This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 175848 - Review Request: xfce4-taskmanager
Review Request: xfce4-taskmanager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luya Tshimbalanga
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-15 13:55 EST by Christoph Wickert
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-22 15:26:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2005-12-15 13:55:08 EST
Spec Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-taskmanager.spec
SRPM Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-taskmanager-0.3.1-2.fc4.src.rpm
Description: 
Taskmanager for the Xfce desktop environment

Comments:
rpmlint ist clean
builds fien in mock on core 4
license GPL & inluded
Comment 1 Luya Tshimbalanga 2006-01-11 03:21:56 EST
Smart guy. =). Set to FE-ACCEPT.
Comment 2 Christian Iseli 2006-01-11 03:33:39 EST
(In reply to comment #1)
> Smart guy. =). Set to FE-ACCEPT.

Maybe it's just me, but I can hardly call that a *review*... :-(
Comment 3 Luya Tshimbalanga 2006-01-14 01:23:15 EST
I meant that I couldn't find any errors using rpmlint and mock. Sorry if you
found my comment a bit offensive as it seems my quote failes to bring positive
appreciation.
Comment 4 Brian Pepple 2006-01-14 10:07:16 EST
The problem is that there is quite a bit more that should be reviewed, beside
just rpmlint errors & whether it builds correctly in mock.  There is nothing in
your comments showing that you check any of the items listed in the
PackageReview list from the wiki.
http://fedoraproject.org/wiki/PackageReviewGuidelines#head-05a78c7ca440544397657679f87fbdbd84d9be28

For an example of what some other people's reviews look like, refer to:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166351#c1
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=165952#c8
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166092#c2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166409#c6

Comment 5 Christoph Wickert 2006-01-14 12:08:36 EST
Luya, first of all I want to thank you for your work, but I'm having some
problems with your reviews too.  I joined FE just a short time before you so I
think I still have a lot to learn.  More detailed reviews would be helpful. 
This also has been mentioned on fedora-extras-list, see
https://www.redhat.com/archives/fedora-extras-list/2005-December/msg01147.html

One package had a md5sum mismatch, that I didn't notice, the tarball had
silently been changed upstream (bug #173543).  I downloaded all sources again
and compared the sums so I'm sure they should match now, nevertheless I'd feel
more comfortable if I knew somebody else checked the md5sums too.

If anybody else would like to review (some of) my packages, he's highly welcome.
ATM there are the following packages still to be reviewed:

 bug #173549 xfce4-mount-plugin
 bug #173552 xfce4-sensors-plugin
 bug #173553 xfce4-websearch-plugin
 bug #173653 xfce4-quicklauncher-plugin
 bug #173660 xfce4-diskperf-plugin

and perhaps
 bug #173550 xfce4-netload-plugin
 bug #173661 xfce4-fsguard-plugin
which have been reviewed by Luya but lack some detailed information.

Thx everybody.
Comment 6 Luya Tshimbalanga 2006-01-14 14:05:06 EST
My bad. I will be carefull next time.
Comment 7 Luya Tshimbalanga 2006-01-20 17:43:11 EST
Detailed review (not too vague this time)
+ mock succesfully built the source package. No errors reported
+ rpmlint did not complain. No warning nor errors reported
+ package follow the PackageNameGuideline procedure:
http://fedoraproject.org/wiki/PackageNamingGuidelines
+ tarball from source rpm matched source url listed on spec file. Both matched
by md5sum and sha1sum
+ No error reported after install and removed package
+ License listed on SPEC file matches the source tarball :
http://fedoraproject.org/wiki/PackagingGuidelines#Legal
+ SPEC file conform to PackagingGuideline 
http://fedoraproject.org/wiki/PackagingGuidelines

P.S: I got a lesson to be more detailed as possible
Comment 8 Christoph Wickert 2006-01-22 15:26:48 EST
Built fine for Core 3 and 4 on all arches, Rawhide is inconsistent atm. Closing.

Note You need to log in before you can comment on or make changes to this bug.